<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: cpp.ast.Node Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classcpp_1_1ast_1_1Node.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">cpp.ast.Node Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for cpp.ast.Node:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classcpp_1_1ast_1_1Node__inherit__graph.svg" width="902" height="494"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for cpp.ast.Node:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classcpp_1_1ast_1_1Node__coll__graph.svg" width="118" height="112"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a2cbd6969346645259afc3be51faae904"><td class="memItemLeft" align="right" valign="top"><a id="a2cbd6969346645259afc3be51faae904"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>__init__</b> (self, start, end)</td></tr>
<tr class="separator:a2cbd6969346645259afc3be51faae904"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3eca703a79fb65bc25dfbcb7547c79e"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcpp_1_1ast_1_1Node.html#ab3eca703a79fb65bc25dfbcb7547c79e">IsDeclaration</a> (self)</td></tr>
<tr class="separator:ab3eca703a79fb65bc25dfbcb7547c79e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a684ee9a357168e7e07a24fc6812f66e6"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcpp_1_1ast_1_1Node.html#a684ee9a357168e7e07a24fc6812f66e6">IsDefinition</a> (self)</td></tr>
<tr class="separator:a684ee9a357168e7e07a24fc6812f66e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a313273874ccf578485006d4000128234"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcpp_1_1ast_1_1Node.html#a313273874ccf578485006d4000128234">IsExportable</a> (self)</td></tr>
<tr class="separator:a313273874ccf578485006d4000128234"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31ae211f954a8c578ef16226df5ac8c8"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcpp_1_1ast_1_1Node.html#a31ae211f954a8c578ef16226df5ac8c8">Requires</a> (self, node)</td></tr>
<tr class="separator:a31ae211f954a8c578ef16226df5ac8c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5dfeabcbcd7c1f5feb8522edffb8b4a"><td class="memItemLeft" align="right" valign="top"><a id="ab5dfeabcbcd7c1f5feb8522edffb8b4a"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>XXX__str__</b> (self)</td></tr>
<tr class="separator:ab5dfeabcbcd7c1f5feb8522edffb8b4a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab89915656a60c7b7c752e5baa607c532"><td class="memItemLeft" align="right" valign="top"><a id="ab89915656a60c7b7c752e5baa607c532"></a>
def&#160;</td><td class="memItemRight" valign="bottom"><b>__repr__</b> (self)</td></tr>
<tr class="separator:ab89915656a60c7b7c752e5baa607c532"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a7b2aa97e6a049bb1a93aea48c48f1f44"><td class="memItemLeft" align="right" valign="top"><a id="a7b2aa97e6a049bb1a93aea48c48f1f44"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>start</b></td></tr>
<tr class="separator:a7b2aa97e6a049bb1a93aea48c48f1f44"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c5e5246ccf619df28eca02e29d69647"><td class="memItemLeft" align="right" valign="top"><a id="a3c5e5246ccf619df28eca02e29d69647"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>end</b></td></tr>
<tr class="separator:a3c5e5246ccf619df28eca02e29d69647"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><pre class="fragment">Base AST node.</pre> </div><h2 class="groupheader">Member Function Documentation</h2>
<a id="ab3eca703a79fb65bc25dfbcb7547c79e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab3eca703a79fb65bc25dfbcb7547c79e">&#9670;&nbsp;</a></span>IsDeclaration()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def cpp.ast.Node.IsDeclaration </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Returns bool if this node is a declaration.</pre> 
<p>Reimplemented in <a class="el" href="classcpp_1_1ast_1_1Type.html#a590071a2bce7ea5140d7eb86c90f63bf">cpp.ast.Type</a>, <a class="el" href="classcpp_1_1ast_1_1Function.html#ab9120d9a774eb5860d220b3bcdcaa87e">cpp.ast.Function</a>, and <a class="el" href="classcpp_1_1ast_1_1Class.html#a4758bfb7c00410575932974e1ed8b7da">cpp.ast.Class</a>.</p>

</div>
</div>
<a id="a684ee9a357168e7e07a24fc6812f66e6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a684ee9a357168e7e07a24fc6812f66e6">&#9670;&nbsp;</a></span>IsDefinition()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def cpp.ast.Node.IsDefinition </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Returns bool if this node is a definition.</pre> 
<p>Reimplemented in <a class="el" href="classcpp_1_1ast_1_1Type.html#aedff25dc3736e83388742e55fe29159b">cpp.ast.Type</a>, <a class="el" href="classcpp_1_1ast_1_1Function.html#ad5d96144bd8418ac72332bffb21ea86f">cpp.ast.Function</a>, <a class="el" href="classcpp_1_1ast_1_1Class.html#ae6d2356f835d06d5109d9e4609d86780">cpp.ast.Class</a>, <a class="el" href="classcpp_1_1ast_1_1__NestedType.html#a9f160999863f39c9032f60b014e213d5">cpp.ast._NestedType</a>, and <a class="el" href="classcpp_1_1ast_1_1Typedef.html#a103bf391e665884bfbfd20fc5e6d1a19">cpp.ast.Typedef</a>.</p>

</div>
</div>
<a id="a313273874ccf578485006d4000128234"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a313273874ccf578485006d4000128234">&#9670;&nbsp;</a></span>IsExportable()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def cpp.ast.Node.IsExportable </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Returns bool if this node exportable from a header file.</pre> 
<p>Reimplemented in <a class="el" href="classcpp_1_1ast_1_1Type.html#a80dce781581c03e550ce51a9a33ca158">cpp.ast.Type</a>, <a class="el" href="classcpp_1_1ast_1_1Function.html#a85a073cd69116bc6191f379d69d10d72">cpp.ast.Function</a>, <a class="el" href="classcpp_1_1ast_1_1Class.html#a1ab749f8cfddb0903c6484791f70f42e">cpp.ast.Class</a>, <a class="el" href="classcpp_1_1ast_1_1__NestedType.html#a689f8b0dc20e6070938825eee483dd2f">cpp.ast._NestedType</a>, and <a class="el" href="classcpp_1_1ast_1_1Typedef.html#adee58e4674b049d8e4435b5b6ad8e1d4">cpp.ast.Typedef</a>.</p>

</div>
</div>
<a id="a31ae211f954a8c578ef16226df5ac8c8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a31ae211f954a8c578ef16226df5ac8c8">&#9670;&nbsp;</a></span>Requires()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def cpp.ast.Node.Requires </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>node</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Does this AST node require the definition of the node passed in?</pre> 
<p>Reimplemented in <a class="el" href="classcpp_1_1ast_1_1Function.html#a999e7b5e43517cd4d68b1aeea8a7d6e1">cpp.ast.Function</a>, <a class="el" href="classcpp_1_1ast_1_1Class.html#a347673e0a2a7b840b7d2d1cae13977f7">cpp.ast.Class</a>, <a class="el" href="classcpp_1_1ast_1_1Typedef.html#aa9f65f4a97ba340f2c9ebc5e7ce27e8c">cpp.ast.Typedef</a>, <a class="el" href="classcpp_1_1ast_1_1VariableDeclaration.html#aaa1cae7cf191e6d561d861cd053a0bf4">cpp.ast.VariableDeclaration</a>, <a class="el" href="classcpp_1_1ast_1_1Parameter.html#a4bc5c17a0d606d35be40cb4c2c1a67a6">cpp.ast.Parameter</a>, and <a class="el" href="classcpp_1_1ast_1_1Expr.html#a9c92416eb1285068f190dcda8fd33682">cpp.ast.Expr</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>ast.py</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>cpp</b></li><li class="navelem"><b>ast</b></li><li class="navelem"><a class="el" href="classcpp_1_1ast_1_1Node.html">Node</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
